<?php

// extended parameters for 
// simpleviewer module

/*
imageAngle
Angle of images. Possible values: Number(0-90). Default: 30.
useScrollBar Show/hide scroll bar. Possible values: Boolean(true/false). Default: true.
useHighlight highlights images on mouseover Possible values: Boolean(true/false). Default: true.
slideShow Slideshow mode on/off. Possible values: Boolean(true/false). Default: false.
slideShowDelay Image display duration in Slideshow mode (in seconds). Possible values: Number(0-infinity). Default: 2.
flipDuration Flip duration (in seconds). Possible values: Number(0-infinity). Default: 1.
flipSound Flip sound. Possible values: String. Default: .
colorScheme Color scheme. Possible values: String(white/black/grey/red/green/blue/custom). Default: white.
startPosition The initial position of the gallery. Possible values: String(left, center, right).Default: center.
reflectionAlpha Reflection transparency. Possible values: Number(0-100). Default: 80
*/

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

$colorScheme = array( l10n('PFG_white'), l10n('PFG_black'), l10n('PFG_grey'), l10n('PFG_red'), l10n('PFG_green'), l10n('PFG_blue'), l10n('PFG_custom') );
$startPosition = array( l10n('PFG_left'), l10n('PFG_center'), l10n('PFG_right') );

// default values
if (!isset($ext_datas)) $ext_datas = array(
	'imageAngle' 	=> "30",
	'useScrollBar' 	=> true,
	'useHighlight' 	=> true,
	'slideShow' 	=> false,
	'slideShowDelay' => "2",
	'flipDuration' 	=> "1",
	'colorScheme' 	=> 1,
	'startPosition' => 2,
	'reflectionAlpha' => "80"
);

if (isset($_POST['submit']) and !is_adviser())
{

	foreach ($ext_datas as $key =>$value)
	{
	
		if ($key == "useScrollBar" or $key == "useHighlight" or $key == "slideShow") 
			$ext_datas[$key] = isset($_POST['PFG_'.$key]);
		else
			$ext_datas[$key] = $_POST['PFG_'.$key];
	}
}

foreach ($ext_datas as $key => $value)
{

	if ($key == "useScrollBar" or $key == "useHighlight" or $key == "slideShow") 
		$template->assign(array( 'PFG_'.$key => (($ext_datas[$key]) ? 'checked="checked"': '')));
		
	elseif ($key == "colorScheme")
	{
		$i=1;
		foreach ( $colorScheme as $order ) //on parcours le tableau 
		{
			$template->append('PFG_colorScheme',array('ID' => $i,'NAME' => $order,'SELECTED' => ($ext_datas['colorScheme'] == $i ? 'selected' : '')));
			$i++;	
		}
	}
	elseif ($key == "startPosition")
	{
		$i=1;
		foreach ( $startPosition as $order ) //on parcours le tableau 
		{
			$template->append('PFG_startPosition',array('ID' => $i,'NAME' => $order,'SELECTED' => ($ext_datas['startPosition'] == $i ? 'selected' : '')));
			$i++;	
		}
	}
	else
		$template->assign(array( 'PFG_'.$key => $ext_datas[$key]));

}



$template->set_filenames(array('module_options' => dirname(__FILE__) . '/config.tpl'));
$template->assign_var_from_handle('MODULE_OPTIONS', 'module_options');

?>